Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
vantori

giúp mình lấy lại tọa độ

Các bài được khuyến nghị

Truớc đây mình dùng lệnh "li" để lấy tọa độ đường polyline trong cad nhưng sao giờ khi vẽ 1 polyline(2 điểm trở lên) mình dùng lệnh "li" thì nó chỉ hiện tọa dộ của 1 điểm thôi,còn các điểm kia không hiện, các bác nào biết cách chỉ giúp e với! e xin cảm ơn nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có phải bạn muốn di chuyển vật thể về tọa độ 0,0,0 hoặc theo tọa độ bạn thích đúng ko? Nếu như vậy thì bạn đánh lệnh UCS -> Object -> chọn đối tượng là ok

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Truớc đây mình dùng lệnh "li" để lấy tọa độ đường polyline trong cad nhưng sao giờ khi vẽ 1 polyline(2 điểm trở lên) mình dùng lệnh "li" thì nó chỉ hiện tọa dộ của 1 điểm thôi,còn các điểm kia không hiện, các bác nào biết cách chỉ giúp e với! e xin cảm ơn nhiều!

Hề hề hề,

Bạn thử kiểm tra lại xem trên máy của bạn có load lisp nào mà tên lệnh trùng với cái lệnh li này của cad hay không nhé.

Tỷ như trên máy của bạn chứa cái lisp như sau:

(defun c:li ()

(setq p (cdr (assoc 10 (entget (car (entsel))))))

)

và nó đã được load thì khi bạn gõ li nó sẽ chỉ trả về tọa độ của điểm bắt đầu của polyline mà thôi.

Hề hề hề,...

Trong trường hợp như vậy, bạn hãy xóa cái tên file lisp đó trong các dường dẫn tìm kiếm và trong cái startup suit đi rồi thử lại coi sao.

Hề hề hề...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Bạn thử kiểm tra lại xem trên máy của bạn có load lisp nào mà tên lệnh trùng với cái lệnh li này của cad hay không nhé.

......

Bác có thể kiểm tra như sau

(defun Ktra(TENLENH)
(IF (member TENLENH (atoms-family 1))
  (alert (strcat TENLENH " da duoc LOAD"))
  (alert (strcat TENLENH " khong co...."))
)
)

Thử : (Ktra "LI")

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Bạn thử kiểm tra lại xem trên máy của bạn có load lisp nào mà tên lệnh trùng với cái lệnh li này của cad hay không nhé.

Tỷ như trên máy của bạn chứa cái lisp như sau:

(defun c:li ()

(setq p (cdr (assoc 10 (entget (car (entsel))))))

)

và nó đã được load thì khi bạn gõ li nó sẽ chỉ trả về tọa độ của điểm bắt đầu của polyline mà thôi.

Hề hề hề,...

Trong trường hợp như vậy, bạn hãy xóa cái tên file lisp đó trong các dường dẫn tìm kiếm và trong cái startup suit đi rồi thử lại coi sao.

Hề hề hề...

vậy giờ mình muốn xóa cái lisp đó thì phải làm như thế nào, có phải vào support để xóa lisp đó không bạn, cái này mình không rành lắm nên nhờ bạn chỉ giúp thêm.cảm ơn nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác có thể kiểm tra như sau

(defun Ktra(TENLENH)
(IF (member TENLENH (atoms-family 1))
  (alert (strcat TENLENH " da duoc LOAD"))
  (alert (strcat TENLENH " khong co...."))
)
)

Thử : (Ktra "LI")

Liệu có cần bổ sung "C:" không bác Tuệ nhỉ ^^

 

 

 

 

vậy giờ mình muốn xóa cái lisp đó thì phải làm như thế nào, có phải vào support để xóa lisp đó không bạn, cái này mình không rành lắm nên nhờ bạn chỉ giúp thêm.cảm ơn nhiều!

 

Bạn thử gõ lệnh .list để xem List trên máy bạn thực hiện như thế nào. Nếu vẫn bình thường, hãy thử unload toàn bộ startup suite lisp của bạn và dùng lại lệnh List.

- Nếu ok => do các lisp đã load.Hãy chịu khó vào những file đó, và kiểm tra thằng nào có dòng defun c:li thì cho nó đi thôi ^^

- Nếu không OK : bạn cần cung cấp nhiều thông tin hơn cho mọi người. Ví dụ màn hình lúc đó chẳng hạn, hoặc ID + pass Teamviewer ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vậy giờ mình muốn xóa cái lisp đó thì phải làm như thế nào, có phải vào support để xóa lisp đó không bạn, cái này mình không rành lắm nên nhờ bạn chỉ giúp thêm.cảm ơn nhiều!

Hề hề hề,

Không phải xoá file lisp đó mà là xóa việc upload file lisp đó .

Bạn vào tools-> load application -> contents -> tên file -> remove.

Và như vậy khi mở CAD, cái file có tên bạn đã chọn sẽ không được load tự động nữa và bạn có thể kiểm tra cái lệnh li xem nó có còn bị lỗi nữa không.....

 

Việc xóa cái đường dẫn tới file trong đường dẫn support chỉ là để bạn không có điều kiện để click nhầm vào cái file lisp đó mà thôi. Do vậy tùy theo kinh nghiệm sử dụng CAD của bạn mà bạn chọn nên hay không nên xóa cái đường dẫn tìm kiếm này.

Theo thiển ý của mình thì không cần xóa cái này song nếu bạn còn lo lắng về việc click nhầm file khi load lisp thì có thể cứ xóa. Việc xóa này hoàn toàn có thể phục hồi được nên bạn cũng không cần quá lo nếu xóa nhầm đường dẫn.

Hề hề hề, ....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×